Advertisement
Guest User

omv5 dist-upgrade fail

a guest
Jan 26th, 2020
256
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Reading package lists... Done
  2. Building dependency tree
  3. Reading state information... Done
  4. Calculating upgrade... Done
  5. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
  6. 1 not fully installed or removed.
  7. After this operation, 0 B of additional disk space will be used.
  8. Do you want to continue? [Y/n] Y
  9. Setting up openmediavault (5.2.4-1) ...
  10. Creating configuration database ...
  11. Migrating configuration database ...
  12. Running migration conf_5.0.0
  13. WARNING: The node 'optiongroup' already exists at XPath '/config/services/rsync/jobs/job'.
  14. WARNING: The node 'optionowner' already exists at XPath '/config/services/rsync/jobs/job'.
  15. WARNING: The node 'timemachine' already exists at XPath '/config/services/smb/shares/share'.
  16. Running migration conf_5.0.3
  17. Running migration conf_5.2.0
  18. Setting up Salt environment ...
  19. Setting up system ...
  20. [WARNING ] /usr/lib/python3/dist-packages/salt/modules/file.py:32: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
  21. from collections import Iterable, Mapping, namedtuple
  22.  
  23. [WARNING ] /usr/lib/python3/dist-packages/salt/utils/jinja.py:638: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
  24. if isinstance(lst1, collections.Hashable) and isinstance(lst2, collections.Hashable):
  25.  
  26. [WARNING ] /usr/lib/python3/dist-packages/salt/utils/decorators/signature.py:31: DeprecationWarning: `formatargspec` is deprecated since Python 3.5. Use `signature` and the `Signature` object directly
  27. *salt.utils.args.get_function_argspec(original_function)
  28.  
  29. [ERROR ] An exception occurred in this state: Traceback (most recent call last):
  30. File "/usr/lib/python3/dist-packages/salt/modules/file.py", line 3768, in remove
  31. os.remove(path)
  32. PermissionError: [Errno 1] Operation not permitted: '/etc/resolv.conf'
  33.  
  34. During handling of the above exception, another exception occurred:
  35.  
  36. Traceback (most recent call last):
  37. File "/usr/lib/python3/dist-packages/salt/state.py", line 1933, in call
  38. **cdata['kwargs'])
  39. File "/usr/lib/python3/dist-packages/salt/loader.py", line 1951, in wrapper
  40. return f(*args, **kwargs)
  41. File "/usr/lib/python3/dist-packages/salt/states/file.py", line 1624, in symlink
  42. __salt__['file.remove'](name)
  43. File "/usr/lib/python3/dist-packages/salt/modules/file.py", line 3775, in remove
  44. 'Could not remove \'{0}\': {1}'.format(path, exc)
  45. salt.exceptions.CommandExecutionError: Could not remove '/etc/resolv.conf': [Errno 1] Operation not permitted: '/etc/resolv.conf'
  46.  
  47. [ERROR ] {'out': 'highstate', 'ret': {'olmos13nas.olmos13': {'locale_|-generate_C.UTF-8_locale_|-C.UTF-8_|-present': {'name': 'C.UTF-8', 'changes': {}, 'result': True, 'comment': 'Locale C.UTF-8 is already present', '__sls__': 'omv.setup.locale.default', '__run_num__': 0, 'start_time': '14:27:34.321886', 'duration': 3.379, '__id__': 'generate_C.UTF-8_locale'}, 'cmd_|-set_system_locale_|-update-locale LANG=C.UTF-8 LC_ALL=C.UTF-8_|-run': {'name': 'update-locale LANG=C.UTF-8 LC_ALL=C.UTF-8', 'changes': {'pid': 637, 'retcode': 0, 'stdout': '', 'stderr': ''}, 'result': True, 'comment': 'Command "update-locale LANG=C.UTF-8 LC_ALL=C.UTF-8" run', '__sls__': 'omv.setup.locale.default', '__run_num__': 1, 'start_time': '14:27:34.326101', 'duration': 14.286, '__id__': 'set_system_locale'}, 'file_|-symlink_systemd_resolvconf_|-/etc/resolv.conf_|-symlink': {'result': False, 'name': '/etc/resolv.conf', 'changes': {}, 'comment': 'An exception occurred in this state: Traceback (most recent call last):\n File "/usr/lib/python3/dist-packages/salt/modules/file.py", line 3768, in remove\n os.remove(path)\nPermissionError: [Errno 1] Operation not permitted: \'/etc/resolv.conf\'\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File "/usr/lib/python3/dist-packages/salt/state.py", line 1933, in call\n **cdata[\'kwargs\'])\n File "/usr/lib/python3/dist-packages/salt/loader.py", line 1951, in wrapper\n return f(*args, **kwargs)\n File "/usr/lib/python3/dist-packages/salt/states/file.py", line 1624, in symlink\n __salt__[\'file.remove\'](name)\n File "/usr/lib/python3/dist-packages/salt/modules/file.py", line 3775, in remove\n \'Could not remove \\\'{0}\\\': {1}\'.format(path, exc)\nsalt.exceptions.CommandExecutionError: Could not remove \'/etc/resolv.conf\': [Errno 1] Operation not permitted: \'/etc/resolv.conf\'\n', '__sls__': 'omv.setup.resolvconf.default', '__run_num__': 2, 'start_time': '14:27:34.341882', 'duration': 4.594, '__id__': 'symlink_systemd_resolvconf'}, 'service_|-start_fstrim_timer_|-fstrim.timer_|-running': {'name': 'fstrim.timer', 'changes': {}, 'result': True, 'comment': 'The service fstrim.timer is already running', '__sls__': 'omv.setup.fstrim.default', '__run_num__': 3, 'start_time': '14:27:34.352174', 'duration': 15.716, '__id__': 'start_fstrim_timer'}, 'file_|-enable_discard_in_lvm_conf_|-/etc/lvm/lvm.conf_|-replace': {'name': '/etc/lvm/lvm.conf', 'changes': {}, 'result': True, 'comment': 'No changes needed to be made', '__sls__': 'omv.setup.fstrim.default', '__run_num__': 4, 'start_time': '14:27:34.368031', 'duration': 11.566, '__id__': 'enable_discard_in_lvm_conf'}, 'cmd_|-udevadm_reload_rules_|-/bin/udevadm control --reload-rules_|-run': {'name': '/bin/udevadm control --reload-rules', 'changes': {'pid': 644, 'retcode': 0, 'stdout': '', 'stderr': ''}, 'result': True, 'comment': 'Command "/bin/udevadm control --reload-rules" run', '__sls__': 'omv.setup.fstab.default', '__run_num__': 5, 'start_time': '14:27:34.379665', 'duration': 4.888, '__id__': 'udevadm_reload_rules'}, 'cmd_|-udevadm_trigger_|-/bin/udevadm trigger_|-run': {'name': '/bin/udevadm trigger', 'changes': {'pid': 645, 'retcode': 0, 'stdout': '', 'stderr': ''}, 'result': True, 'comment': 'Command "/bin/udevadm trigger" run', '__sls__': 'omv.setup.fstab.default', '__run_num__': 6, 'start_time': '14:27:34.384975', 'duration': 47.281, '__id__': 'udevadm_trigger'}, 'file_|-configure_root_bashrc_|-/root/.bashrc_|-managed': {'changes': {}, 'comment': 'File /root/.bashrc is in the correct state', 'name': '/root/.bashrc', 'result': True, '__sls__': 'omv.setup.shell.10root_bashrc', '__run_num__': 7, 'start_time': '14:27:34.432412', 'duration': 15.692, '__id__': 'configure_root_bashrc'}, 'file_|-configure_root_inputrc_|-/root/.inputrc_|-managed': {'changes': {}, 'comment': 'File /root/.inputrc is in the correct state', 'name': '/root/.inputrc', 'result': True, '__sls__': 'omv.setup.shell.20root_inputrc', '__run_num__': 8, 'start_time': '14:27:34.448208', 'duration': 1.295, '__id__': 'configure_root_inputrc'}, 'file_|-modify_root_profile_|-/root/.profile_|-replace': {'name': '/root/.profile', 'changes': {}, 'result': True, 'comment': 'No changes needed to be made', '__sls__': 'omv.setup.shell.30root_profile', '__run_num__': 9, 'start_time': '14:27:34.449593', 'duration': 1.262, '__id__': 'modify_root_profile'}}}}
  48. dpkg: error processing package openmediavault (--configure):
  49. installed openmediavault package post-installation script subprocess returned error exit status 2
  50. Errors were encountered while processing:
  51. openmediavault
  52. E: Sub-process /usr/bin/dpkg returned an error code (1)
Advertisement
Advertisement
Advertisement
RAW Paste Data Copied
Advertisement